Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.mutable
Class MutableValueStr

    java.lang.Object
      org.apache.lucene.util.mutable.MutableValue
          org.apache.lucene.util.mutable.MutableValueStr

All Implemented Interfaces:
  Comparable<MutableValue>

    public class MutableValueStr

extends MutableValue

`MutableValue` implementation of type `String`.

Field Summary
`BytesRef` | `value`

Fields inherited from class org.apache.lucene.util.mutable.MutableValue
`exists`

Constructor Summary
`MutableValueStr()`

Method Summary
`int` | `compareSameType(Object other)`
`void` | `copy(MutableValue source)`
`MutableValue` | `duplicate()`
`boolean` | `equalsSameType(Object other)`
`int` | `hashCode()`
`Object` | `toObject()`

Methods inherited from class org.apache.lucene.util.mutable.MutableValue
`compareTo, equals, exists, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public BytesRef value

Constructor Detail

### MutableValueStr

    public MutableValueStr()

Method Detail

### toObject

    public Object toObject()

  Specified by:
    `toObject` in class `MutableValue`

### copy

    public void copy(MutableValue source)

  Specified by:
    `copy` in class `MutableValue`

### duplicate

    public MutableValue duplicate()

  Specified by:
    `duplicate` in class `MutableValue`

### equalsSameType

    public boolean equalsSameType(Object other)

  Specified by:
    `equalsSameType` in class `MutableValue`

### compareSameType

    public int compareSameType(Object other)

  Specified by:
    `compareSameType` in class `MutableValue`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `MutableValue`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.